--- plugins/check_overcr.c.old	2007-02-06 22:03:21.000000000 +0100
+++ plugins/check_overcr.c	2008-04-16 11:30:35.000000000 +0200
@@ -71,7 +71,7 @@
 int netstat_port = 0;
 char *disk_name = NULL;
 char *process_name = NULL;
-	char send_buffer[MAX_INPUT_BUFFER];
+char send_buffer[MAX_INPUT_BUFFER];
 
 int process_arguments (int, char **);
 void print_usage (void);
@@ -332,6 +332,8 @@
 			strcpy (argv[c], "-c");
 	}
 
+	strcpy(send_buffer, "");
+
 	while (1) {
 		c = getopt_long (argc, argv, "+hVH:t:c:w:p:v:", longopts,
 									 &option);
@@ -359,8 +361,8 @@
 									 _("Server port an integer\n"));
 			break;
 		case 'v':									/* variable */
-			if (strcmp (optarg, "LOAD") == 0) {
-				strcpy (send_buffer, "LOAD\r\nQUIT\r\n");
+			if (strstr (optarg, "LOAD") == optarg) {
+				strcpy (send_buffer, "LOAD\r\n");
 				if (strcmp (optarg, "LOAD1") == 0)
 					vars_to_check = LOAD1;
 				else if (strcmp (optarg, "LOAD5") == 0)
@@ -405,6 +407,7 @@
 		}
 
 	}
+	strcat(send_buffer, "QUIT\r\n");
 	return OK;
 }
 
@@ -447,7 +450,6 @@
 
 	printf (_(UT_TIMEOUT), DEFAULT_SOCKET_TIMEOUT);
 
-  printf (_(UT_VERBOSE));
   printf ("\n");
   printf ("%s\n", _("Notes:"));
   
@@ -457,7 +459,7 @@
   printf ("%s\n", _("This plugin requres that Eric Molitors' Over-CR collector daemon be"));
   printf ("%s\n", _("running on the remote server."));
   printf ("%s\n", " Over-CR can be downloaded from http://www.molitor.org/overcr");
-  printf ("%s\n", _("This plugin was tested with version 0.99.53 of the Over-CR collector"));
+  printf ("%s\n", _("This plugin was tested with version 1.49.09 of the Over-CR collector"));
 
   printf (_(UT_SUPPORT));
 }
